--print("Setting Up Pause Menu")
clearMenu();
--menu config
--button description, lua string, title
--slider description, command, initial value

gofile("menu/requester_setup.lua");

setMenuButton(menu_boxMetal);
setMenuBullet(menu_bullet);
setMenuSlider(menu_slider);

setMenuEscape("deactivateMenu()");
setBackDrop(18,16.5,50,35,menu_backdrop, 1.0);

addMenuButton(getString("pause menu"), " ", true);
if getDebug() then
addMenuButton("Debug", "gofile(\"menu/test_town.lua\")", false);
end
addMenuButton(getString("controls"), "gofile(\"menu/menu_instructions.lua\")", false);
addMenuButton(getString("comics"), "gofile(\"menu/menu_viewcutscenes.lua\")", false);
addMenuButton(getString("game options"), "gofile(\"menu/menu_settings.lua\")", false);
addMenuButton(getString("status"), "gofile(\"menu/menu_status.lua\")", false);
if getGameMode() == 0 then
addMenuButton(getString("dump cargo"), "gofile(\"store/store_cargodump.lua\")", false);
--addMenuButton("Save Game", "saveGame(getPlayerName()); popMenuInfo(\"Game Saved!\", \"Okay\", \"deactivateMenu()\")", false);
--addMenuButton("Load Game", "gofile(\"control.lua\");loadGame(getPlayerName())", false);
end
--addMenuButton("Exit to Main Menu", "gofile(\"reset.lua\")", false);
if getGameMode() == 0  or getGameMode() == 3 then
addMenuButton(getString("exit save"), "gofile(\"menu/requester_exitsave.lua\")", false);
else
addMenuButton(getString("exit no save"), "gofile(\"menu/requester_exit.lua\")", false);
end
addMenuButton(getString("continue"), "deactivateMenu()", false);
autoSizeBackDrop();
activateMenu();